Subject: Re: [sacm] SACM Architecture and Information Model should be standards-track (not Informational)

From: "Haynes, Dan" <[email-masked]>
Date: Fri, 25 Sep 2015 13:23:12 +0000

Based on the feedback in this thread and the virtual interim meeting yesterday, we will proceed with updating the WG milestone, regarding the Information Model, to align with charter and say the draft will be “standards track” instead of “informational”.

If you have any objections to this approach, please let me know by October 2nd.

Thanks,

Danny

[1] Information Model GitHub Issue #29 (https://github.com/sacmwg/draft-ietf-sacm-information-model/issues/29)

From: sacm [mailto:[email-masked]] On Behalf Of Haynes, Dan
Sent: Wednesday, August 26, 2015 2:45 PM
To: Romascanu, Dan (Dan) <[email-masked]>; Ira McDonald <[email-masked]>; [email-masked]
Subject: Re: [sacm] SACM Architecture and Information Model should be standards-track (not Informational)

When I read the bullet related to the Architecture I-D, I interpret it as saying the Architecture I-D can be either a single standards track document or multiple modular standards track documents and that the decision will be left for the working group to decide at a later time.  I also took a look at an old version of the charter and found that it was changed from “An Informational document on SACM Architecture” to its current text (see the change from -05 to -06).

Given all this, my opinion would be to make both the Architecture and Information Model standards track documents.

Thanks,

Danny

From: sacm [mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Monday, August 17, 2015 6:12 AM
To: Ira McDonald <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [sacm] SACM Architecture and Information Model should be standards-track (not Informational)

Hi Ira,

Your mail prompted me to reading again the WG charter at http://datatracker.ietf.org/wg/sacm/charter/, and I see now that we introduced an inconsistency between the list of deliverables in the text and the milestones. From the list of deliverables:

- A document or documents describing the SACM Architecture. This will include protocol requirements and their associated use cases as well as a description of how SACM protocols fit together into a system. This may be a single standards-track document, or may be split up as the WG sees fit.
- A standards-track document specifying the informational model for
endpoints data posture.

In the milestones both the SACM Architecture and the SACM Information Model are targeted as Informational. This needs to be fixed.

So out original thinking was that the IM will be Standards Track, while the architecture document will either be standards track or will be split up ‘as the WG sees fit’.

IMO (as contributor):

-          IM should be standards-track

-          I am not so sure about the Architecture I-D. We can have MUSTs (and other 2119 keywords) in Informational documents as well.

Other opinions?

Regards,

Dan

From: sacm [mailto:[email-masked]] On Behalf Of Ira McDonald
Sent: Sunday, August 16, 2015 7:25 PM
To: [email-masked]<mailto:[email-masked]>; Ira McDonald
Subject: [sacm] SACM Architecture and Information Model should be standards-track (not Informational)

Hi,
The SACM Information Model should derive normative design
constraints from the SACM Architecture - therefore, the SACM
Architecture should be standards-track (to emphasize that it's
not merely a bunch of examples).
The SACM Information Model itself should be standards-track
and should contain normative MUSTs for all SACM Data Model
specs.  Otherwise, there will be no mandate for interoperability
of the underlying SACM Information Model when fed collected
data from two or more different SACM Data Model-based
transport bindings.
Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic<https://urldefense.proofpoint.com/v2/url?u=http-3A__sites.google.com_site_blueroofmusic&d=BQMFaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=CzAae9RhnJGm12xQh7tPvrEMYoP_znn1WovWvwhM8Gk&s=pedGZOaEHBEfF8hZWsJNioSCr40FlOWZWOhZ-EPwVoE&e=>
http://sites.google.com/site/highnorthinc<https://urldefense.proofpoint.com/v2/url?u=http-3A__sites.google.com_site_highnorthinc&d=BQMFaQ&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=CzAae9RhnJGm12xQh7tPvrEMYoP_znn1WovWvwhM8Gk&s=NC0DMfnbWpIaytj2RsEbBbcLGDLcw2IuMksrfncsZZU&e=>
mailto: [email-masked]<mailto:[email-masked]>
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434